aboutsummaryrefslogtreecommitdiff
path: root/xorg-server/hw/xfree86/sdksyms.sh
diff options
context:
space:
mode:
authormarha <marha@users.sourceforge.net>2012-07-10 14:56:29 +0200
committermarha <marha@users.sourceforge.net>2012-07-10 14:56:29 +0200
commitd137057fd13e83ec15ab416c7fe774741da06047 (patch)
treef4b38caa4f3ecb983f00e84f4f4d8d66699ecbc5 /xorg-server/hw/xfree86/sdksyms.sh
parentc29d91cfd8df084f16d0d2dfa82c3a86f7719a73 (diff)
downloadvcxsrv-d137057fd13e83ec15ab416c7fe774741da06047.tar.gz
vcxsrv-d137057fd13e83ec15ab416c7fe774741da06047.tar.bz2
vcxsrv-d137057fd13e83ec15ab416c7fe774741da06047.zip
fontconfig mesa xserver git update 10 Jul 2012
Diffstat (limited to 'xorg-server/hw/xfree86/sdksyms.sh')
-rw-r--r--xorg-server/hw/xfree86/sdksyms.sh30
1 files changed, 6 insertions, 24 deletions
diff --git a/xorg-server/hw/xfree86/sdksyms.sh b/xorg-server/hw/xfree86/sdksyms.sh
index f6c3f2244..c0398da18 100644
--- a/xorg-server/hw/xfree86/sdksyms.sh
+++ b/xorg-server/hw/xfree86/sdksyms.sh
@@ -46,10 +46,8 @@ cat > sdksyms.c << EOF
#include "misyncstr.h"
/* Xext/Makefile.am -- half is module, half is builtin */
-/*
#include "xvdix.h"
#include "xvmcext.h"
- */
#include "geext.h"
#include "geint.h"
#ifdef MITSHM
@@ -95,11 +93,9 @@ cat > sdksyms.c << EOF
/* hw/xfree86/dri2/Makefile.am -- module */
-/*
#if DRI2
# include "dri2.h"
#endif
- */
/* hw/xfree86/vgahw/Makefile.am -- module */
@@ -135,12 +131,9 @@ cat > sdksyms.c << EOF
# include "xf86xvmc.h"
# include "xf86xvpriv.h"
#endif
-/* XF86VidMode code is in libextmod module */
-/*
#if XF86VIDMODE
# include "vidmodeproc.h"
#endif
- */
#include "xorgVersion.h"
#if defined(__sparc__) || defined(__sparc)
# include "xf86sbusBus.h"
@@ -181,18 +174,10 @@ cat > sdksyms.c << EOF
#endif
-/* hw/xfree86/xaa/Makefile.am -- module */
-/*
-#include "xaa.h"
-#include "xaalocal.h"
-#include "xaarop.h"
- */
-
-
/* hw/xfree86/dixmods/extmod/Makefile.am -- module */
-/*
+#ifdef XFreeXDGA
#include "dgaproc.h"
- */
+#endif
/* hw/xfree86/parser/Makefile.am */
@@ -208,13 +193,11 @@ cat > sdksyms.c << EOF
/* hw/xfree86/dri/Makefile.am -- module */
-/*
#if XF86DRI
# include "dri.h"
# include "sarea.h"
# include "dristruct.h"
#endif
- */
/* mi/Makefile.am */
@@ -241,9 +224,9 @@ cat > sdksyms.c << EOF
/* dbe/Makefile.am -- module */
-/*
+#ifdef DBE
#include "dbestruct.h"
- */
+#endif
/* exa/Makefile.am -- module */
@@ -279,7 +262,6 @@ cat > sdksyms.c << EOF
#include "dixstruct.h"
#include "exevents.h"
#include "extension.h"
-#include "extinit.h"
#include "extnsionst.h"
#include "gc.h"
#include "gcstruct.h"
@@ -327,8 +309,8 @@ topdir=$1
shift
LC_ALL=C
export LC_ALL
-${CPP:-cpp} "$@" -DXorgLoader sdksyms.c > /dev/null || exit $?
-${CPP:-cpp} "$@" -DXorgLoader sdksyms.c | ${AWK:-awk} -v topdir=$topdir '
+${CPP:-cpp} "$@" sdksyms.c > /dev/null || exit $?
+${CPP:-cpp} "$@" sdksyms.c | ${AWK:-awk} -v topdir=$topdir '
BEGIN {
sdk = 0;
print("/*");